Retrieves the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "7022045e-9b28-4d25-9983-93ab7066a11f",
  "user_id": "33f42637-4c60-476a-a56f-bb7ae9e6d462",
  "user_code": "sample string 3",
  "user": {
    "id": "83e48ce9-2d9d-4ff4-908d-f24fe356eb6b",
    "db_language_id": "6356a603-514d-4d8b-b970-a14f103bf7ef",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-28T21:49:57.3380433+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "a3c4c9ae-8293-48ed-9fdd-18fbe543947e",
    "sales_organization": {
      "id": "26650028-a8e2-4e8c-9c03-a33d2552ad1f",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1e8bd018-1270-4251-89d7-1f72e8260002",
      "db_currency_id": "f7beaf71-8d96-4059-94f6-e44d4e85595c",
      "db_language_id": "51ab55c2-c96a-455c-abbd-f222d67974f5",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-28T21:49:57.3380433+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "8a01ebe2-4bc5-4ad1-b520-d4a4dd43803b",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "71951de1-4eb6-4a0b-94c9-ae818d00ee1c",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-28T21:49:57.3380433+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "44f13aaf-62cd-4fae-82f5-7632b42f1b4a"
  },
  "skill_id": "b525e1d7-ba36-4d33-986f-c503c5ef466e",
  "skill_code": "sample string 5",
  "skill": {
    "id": "ba588124-5b71-4fea-9159-cfcc504e0113",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "f6116f85-fa86-4000-a630-cc258e79ba49",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "26650028-a8e2-4e8c-9c03-a33d2552ad1f",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1e8bd018-1270-4251-89d7-1f72e8260002",
      "db_currency_id": "f7beaf71-8d96-4059-94f6-e44d4e85595c",
      "db_language_id": "51ab55c2-c96a-455c-abbd-f222d67974f5",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-28T21:49:57.3380433+00:00"
    },
    "modified_dateutc": "2026-10-28T21:49:57.3380433+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-10-28T21:49:57.3380433+00:00"
}